// Code generated by MockGen. DO NOT EDIT.
// Source: pkg/service/repository.go

// Package redis is a generated GoMock package.
package redis

import (
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
)

// MockWeatherTrackerRepository is a mock of WeatherTrackerRepository interface
type MockWeatherTrackerRepository struct {
	ctrl     *gomock.Controller
	recorder *MockWeatherTrackerRepositoryMockRecorder
}

// MockWeatherTrackerRepositoryMockRecorder is the mock recorder for MockWeatherTrackerRepository
type MockWeatherTrackerRepositoryMockRecorder struct {
	mock *MockWeatherTrackerRepository
}

// NewMockWeatherTrackerRepository creates a new mock instance
func NewMockWeatherTrackerRepository(ctrl *gomock.Controller) *MockWeatherTrackerRepository {
	mock := &MockWeatherTrackerRepository{ctrl: ctrl}
	mock.recorder = &MockWeatherTrackerRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockWeatherTrackerRepository) EXPECT() *MockWeatherTrackerRepositoryMockRecorder {
	return m.recorder
}

// Store mocks base method
func (m *MockWeatherTrackerRepository) Store(locationName string, temperatureK int32) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Store", locationName, temperatureK)
	ret0, _ := ret[0].(error)
	return ret0
}

// Store indicates an expected call of Store
func (mr *MockWeatherTrackerRepositoryMockRecorder) Store(locationName, temperatureK interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Store", reflect.TypeOf((*MockWeatherTrackerRepository)(nil).Store), locationName, temperatureK)
}

// Retrieve mocks base method
func (m *MockWeatherTrackerRepository) Retrieve(locationName string) (int32, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Retrieve", locationName)
	ret0, _ := ret[0].(int32)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Retrieve indicates an expected call of Retrieve
func (mr *MockWeatherTrackerRepositoryMockRecorder) Retrieve(locationName interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Retrieve", reflect.TypeOf((*MockWeatherTrackerRepository)(nil).Retrieve), locationName)
}
